Skip to main content
GET
/
v1
/
pay
/
convert
/
order
Query Order
curl --request GET \
  --url https://openplatform.gateapi.io/v1/pay/convert/order \
  --header 'X-GatePay-Certificate-ClientId: <x-gatepay-certificate-clientid>' \
  --header 'X-GatePay-Nonce: <x-gatepay-nonce>' \
  --header 'X-GatePay-Signature: <x-gatepay-signature>' \
  --header 'X-GatePay-Timestamp: <x-gatepay-timestamp>'
{
  "status": "SUCCESS",
  "code": "000000",
  "errorMessage": "",
  "data": {
    "order_id": "326850433152987136",
    "userId": 10002,
    "sellCurrency": "USDT",
    "buyCurrency": "GT",
    "sellAmount": "1",
    "buyAmount": "0.04369692",
    "status": 6,
    "rate": 22.884908135401762,
    "quoteId": "PAY-52f30798",
    "createTime": 1739888815851
  }
}

Headers

X-GatePay-Certificate-ClientId
string
required

Merchant client ID assigned when registering the application

Example:

"mZ96D37oKk-HrWJc"

X-GatePay-Signature
string
required

Request signature for verification

Example:

"8504fe097f7297f8952c76e628ce59dbc93d1df64c95f26c73140ef365d4aa1471826ada0534315461682ec35c131d7e133c51d2ab0822fe7366650a111887ba"

X-GatePay-Timestamp
string
required

UTC timestamp in milliseconds

Example:

"1740019013818"

X-GatePay-Nonce
string
required

Random string, recommended length within 32 characters

Example:

"9722139164"

Query Parameters

orderId
string
required

Order ID

Example:

"326850433152987136"

Response

200 - application/json

Success

status
string
code
string
errorMessage
string
data
object